PASSWD(1)

NOME
passwd - cambia la password utente

SINOSSI

passwd [opzioni] [LOGIN]

DESCRIZIONE

The passwd command changes passwords for user accounts. A normal user may only change the password for his/her own account, while the superuser may change the password for any account. passwd also changes account information, such as the full name of the user, the user's login shell, or his/her password expiry date and interval.

  Modifiche delle password

The user is first prompted for his/her old password, if one is present. This password is then encrypted and compared against the stored password. The user has only one chance to enter the correct password. The superuser is permitted to bypass this step so that forgotten passwords may be changed.

After the password has been entered, password aging information is checked to see if the user is permitted to change the password at this time. If not, passwd refuses to change the password and exits.

The user is then prompted twice for a replacement password. The second entry is compared against the first and both are required to match in order for the password to be changed.

Then, the password is tested for complexity. As a general guideline, passwords should consist of 6 to 8 characters including one or more characters from each of the following sets:

    • lettere minuscole

    • numeri da 0 a 9

    • segni di punteggiatura

Care must be taken not to include the system default erase or kill characters. passwd will reject any password which is not suitably complex.

  Suggerimenti per password utente

The security of a password depends upon the strength of the encryption algorithm and the size of the key space. The UNIX System encryption method is based on the NBS DES algorithm and is very secure. The size of the key space depends upon the randomness of the password which is selected.

Compromises in password security normally result from careless password selection or handling. For this reason, you should not select a password which appears in a dictionary or which must be written down. The password should also not be a proper name, your license number, birth date, or street address. Any of these may be used as guesses to violate system security.

You can find advices on how to choose a strong password on http://en.wikipedia.org/wiki/Password_strength

OPZIONI

Il comando passwd accetta le seguenti opzioni:

-a, --all
    This option can be used only with -S and causes show status for all users.

-d, --delete
    Delete a user's password (make it empty). This is a quick way to disable a password for an account. It will set the named account passwordless.

-e, --expire
    Immediately expire an account's password. This in effect can force a user to change his/her password at the user's next login.

-h, --help
    Mostra un messaggio di aiuto ed esce.

-i, --inactive INACTIVE
    This option is used to disable an account after the password has been expired for a number of days. After a user account has had an expired password for INACTIVE days, the user may no longer sign on to the account.

-k, --keep-tokens
    Indicate password change should be performed only for expired authentication tokens (passwords). The user wishes to keep their non-expired tokens as before.

-l, --lock
    Lock the password of the named account. This option disables a password by changing it to a value which matches no possible encrypted value (it adds a '!' at the beginning of the password).

    Note that this does not disable the account. The user may still be able to login using another authentication token (e.g. an SSH key). To disable the account, administrators should use usermod --expiredate 1 (this set the account's expire date to Jan 2, 1970).

    Users with a locked password are not allowed to change their password.

-m, --mindays MIN_DAYS
    Set the minimum number of days between password changes to MIN_DAYS. A value of zero for this field indicates that the user may change his/her password at any time.

-q, --quiet
    Quiet mode.

-r, --repository REPOSITORY
    change password in REPOSITORY repository

-S, --status
    Display account status information. The status information consists of 7 fields. The first field is the user's login name. The second field indicates if the user account is locked (L), has no password (NP), or has a usable password (P). The third field gives the date of the last password change. The next four fields are the minimum age, maximum age, warning period, and inactivity period for the password. These ages are expressed in days.

-u, --unlock
    Unlock the password of the named account. This option re-enables a password by changing the password back to its previous value (to the value before using -l option, by removing the leading '!').

-w, --warndays WARN_DAYS
    Set the number of days of warning before a password change is required. The WARN_DAYS option is the number of days prior to the password expiring that a user will be warned that his/her password is about to expire.

-x, --maxdays MAX_DAYS
    Set the maximum number of days a password remains valid. After MAX_DAYS, the password is required to be changed.

AVVISI/CAVEAT

Non tutte le opzioni potrebbero essere supportate. Il controllo della complessità delle password varia da sistema a sistema. L\'utente deve poter selezionare la possibilità di selezionare una password che ritenga sufficientemente complessa. Gli utenti potrebbero non essere in condizione di modificare la propria password se NIS è abilitato e loro non hanno fatto il login sul server NIS.

FILE

/etc/passwd
    informazioni sugli account utente.

/etc/shadow
    Informazioni sicure sugli account di utenti.

VALORI RESTITUITI

Il comando passwd restituisce i seguenti valori:

VEDERE ANCHE

group(5), passwd(5), shadow(5), usermod(8).